set linesize 32000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

set serveroutput on size 1000000

spool &ns.tables.log

set define off

-- create tables for package

-- run @$ORACLE_HOME/rdbms/admin/utlxplan.sql on the db server

drop table select_statements;

create table select_statements 
(sqlnumber number, 
sql_text clob);

create unique index select_statements_i1 on select_statements(sqlnumber);

drop table test_results;

create table test_results 
(test_name varchar2(2000),
sqlnumber number,
sql_id VARCHAR2(13),
explain_plan_hash number,
execute_plan_hash number,
rows_fetched number,
elapsed_in_seconds number,
CPU_used_by_this_session number,
consistent_gets number,
db_block_gets number,
parse_time_elapsed number,
physical_reads number,
error_message varchar2(64));

create unique index test_results_i1 on test_results(test_name,sqlnumber);
create index test_results_i2 on test_results(sqlnumber);

spool off
